Package openlink.util

## Class OPLHeapNClob

- java.lang.Object
- - openlink.util.OPLHeapClob
  - - openlink.util.OPLHeapNClob

All Implemented Interfaces:
  `java.io.Serializable`, `java.sql.Clob`, `java.sql.NClob`

    public class OPLHeapNClob
    extends OPLHeapClob
    implements java.sql.NClob, java.io.Serializable

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class openlink.util.OPLHeapClob

`OPLHeapClob.BlobInputReader, OPLHeapClob.BlobInputStream, OPLHeapClob.BlobOutputStream, OPLHeapClob.BlobOutputWriter`

### Constructor Summary

Constructors
`OPLHeapNClob​()`
`OPLHeapNClob​(char[] b)`
`OPLHeapNClob​(java.io.Reader is)`
`OPLHeapNClob​(java.lang.String b)`

### Method Summary

### Methods inherited from interface java.sql.Clob

`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class openlink.util.OPLHeapClob

`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

### Constructor Detail

#### OPLHeapNClob

    public OPLHeapNClob​()

#### OPLHeapNClob

    public OPLHeapNClob​(java.lang.String b)

#### OPLHeapNClob

    public OPLHeapNClob​(char[] b)

#### OPLHeapNClob

    public OPLHeapNClob​(java.io.Reader is)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`